summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2019-08-29 20:41:11 -0500
committerJory Pratt <anarchy@gentoo.org>2019-08-29 20:41:11 -0500
commit323f418adc807e12d3fd5a8b10c2983f2f3c4bc1 (patch)
tree8b93960bef30ac62c4bf1edd4c7cd6c25933e2e8 /mail-client
parentmail-client/thunderbird: misc cleanup to 68.0-r1 (diff)
downloadmozilla-323f418adc807e12d3fd5a8b10c2983f2f3c4bc1.tar.gz
mozilla-323f418adc807e12d3fd5a8b10c2983f2f3c4bc1.tar.bz2
mozilla-323f418adc807e12d3fd5a8b10c2983f2f3c4bc1.zip
mail-client/thunderbird: more code fixes in 68.0-r1
Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Jory Pratt <anarchy@gentoo.org>
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/thunderbird/files/disable-auto-update.policy.json5
-rw-r--r--mail-client/thunderbird/metadata.xml1
-rw-r--r--mail-client/thunderbird/thunderbird-68.0-r1.ebuild13
3 files changed, 12 insertions, 7 deletions
diff --git a/mail-client/thunderbird/files/disable-auto-update.policy.json b/mail-client/thunderbird/files/disable-auto-update.policy.json
new file mode 100644
index 0000000..f366220
--- /dev/null
+++ b/mail-client/thunderbird/files/disable-auto-update.policy.json
@@ -0,0 +1,5 @@
+{
+ "policies": {
+ "DisableAppUpdate": true
+ }
+}
diff --git a/mail-client/thunderbird/metadata.xml b/mail-client/thunderbird/metadata.xml
index 4a67d29..dd47259 100644
--- a/mail-client/thunderbird/metadata.xml
+++ b/mail-client/thunderbird/metadata.xml
@@ -21,7 +21,6 @@
or LDD linker when using Clang</flag>
<flag name="pgo">Add support for profile-guided optimization using gcc-4.5,
for faster binaries. This option will double the compile time.</flag>
- <flag name="screenshot">Allow to disable screenshot extension in global profile</flag>
<flag name="system-av1">Use the system-wide <pkg>media-libs/dav1d</pkg>
and <pkg>media-libs/libaom</pkg> library instead of bundled.</flag>
<flag name="system-harfbuzz">Use the system-wide <pkg>media-libs/harfbuzz</pkg>
diff --git a/mail-client/thunderbird/thunderbird-68.0-r1.ebuild b/mail-client/thunderbird/thunderbird-68.0-r1.ebuild
index 51e3175..10755b9 100644
--- a/mail-client/thunderbird/thunderbird-68.0-r1.ebuild
+++ b/mail-client/thunderbird/thunderbird-68.0-r1.ebuild
@@ -41,8 +41,8 @@ SLOT="0"
LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
IUSE="bindist clang cpu_flags_x86_avx2 dbus debug eme-free geckodriver
+gmp-autoupdate hardened jack lightning lto neon pgo pulseaudio
- +screenshot selinux startup-notification +system-av1 +system-harfbuzz
- +system-icu +system-jpeg +system-libevent +system-sqlite +system-libvpx
+ selinux startup-notification +system-av1 +system-harfbuzz +system-icu
+ +system-jpeg +system-libevent +system-sqlite +system-libvpx
+system-webp test wayland wifi"
RESTRICT="!bindist? ( bindist )
!test? ( test )"
@@ -595,6 +595,7 @@ src_compile() {
}
src_install() {
+ MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
cd "${BUILD_OBJ_DIR}" || die
# Pax mark xpcshell for hardened support, only used for startupcache creation.
@@ -618,19 +619,19 @@ src_install() {
# force cairo as the canvas renderer on platforms without skia support
if [[ $(tc-endian) == "big" ]] ; then
echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
- >>"{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
- >>"{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
fi
echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
- "{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
|| die
local plugin
use gmp-autoupdate || use eme-free || for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
- "{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
|| die
done